//
//  ViewController.swift
//  YSSMSButton
//
//  Created by yaoshuai on 2017/1/21.
//  Copyright © 2017年 ys. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let btn = UIButton()
        btn.setTitle("获取验证码", for: .normal)
        btn.setTitleColor(UIColor.red, for: .normal)
        btn.backgroundColor = UIColor.yellow
        
        btn.sizeToFit()
        btn.center = view.center
        
        btn.addTarget(self, action: #selector(btnClick(sender:)), for: .touchUpInside)
        
        view.addSubview(btn)
    }
    
    @objc private func btnClick(sender:UIButton){
        // 使用非常简单，只需要调这个方法即可
        sender.startSMSWithDuration(duration: 5)
        
        print("验证申请已发出")
    }

}

